{% extends 'base.html' %}

{% block body %}
<div id="header">
  <h1>Comparing builds for {{ job }}: {{ lhs_name }} - {{ rhs_name }}:</h1>
  <div id="navbox">
    {% for link in top_links %}
    <span><a href="{{ link["href"] }}">{{ link["text"] }}</a></span>
    {% endfor %}
  </div>
  <div id="contentsbox">
      {% if components %}
      <span><a href="#components">Components</a></span>
      {% endif %}
      {% if subgroups %}
      <span><a href="#subgroups">Subgroups</a></span>
      {% endif %}
      {% if test_results %}
      <span><a href="#test_results">Tests</a></span>
      {% endif %}
      {% if fails %}
      <span><a href="#fails">Test Failures</a></span>
      {% endif %}
  </div>
</div>


<div id="content">

  <div class="section">
    <a id="test_compare"></a>
    {% if results %}
    <h2>Test Status Differences</h2>
    <table style="width:100%">
      <colgroup>
        <col/>
        <col/>
        <col/>
        <col/>
        <col/>
      </colgroup>
      <tr>
        {% set sort_col = sort_prefs['test_compare'].split(':') %}
        <th
          {% if sort_col[0] == 'test_name' %}
          class="subgrouptable_row_name sort-section-{{ sort_col[1] }}"
          {% else %}
          class="subgrouptable_row_name"
          {% endif %}
          style="font-weight: bold"><a href="{{ request.path + '?lhs=' + lhs_id + '&rhs=' + rhs_id + '&sort_col=test_name&sort_section=test_compare' }}">Test</a>
        </th>
        <th
          {% if sort_col[0] == 'hardware' %}
          class="subgrouptable_row_other sort-section-{{ sort_col[1] }}"
          {% else %}
          class="subgrouptable_row_other"
          {% endif %}
          style="font-weight: bold"><a href="{{ request.path + '?lhs=' + lhs_id + '&rhs=' + rhs_id + '&sort_col=hardware&sort_section=test_compare' }}">Hardware</a>
        </th>
        <th
          {% if sort_col[0] == 'arch' %}
          class="subgrouptable_row_other sort-section-{{ sort_col[1] }}"
          {% else %}
          class="subgrouptable_row_other"
          {% endif %} style="font-weight: bold"><a href="{{ request.path + '?lhs=' + lhs_id + '&rhs=' + rhs_id + '&sort_col=arch&sort_section=test_compare' }}">Architecture</a>
        </th>
        <th
          {% if sort_col[0] == 'lhs_status' %}
          class="subgrouptable_row_other sort-section-{{ sort_col[1] }}"
          {% else %}
          class="subgrouptable_row_other"
          {% endif %} style="font-weight: bold"><a href="{{ request.path + '?lhs=' + lhs_id + '&rhs=' + rhs_id + '&sort_col=lhs_status&sort_section=test_compare' }}">{{ lhs_name }}</a>
        </th>
        <th
          {% if sort_col[0] == 'rhs_status' %}
          class="subgrouptable_row_other sort-section-{{ sort_col[1] }}"
          {% else %}
          class="subgrouptable_row_other"
          {% endif %} style="font-weight: bold"><a href="{{ request.path + '?lhs=' + lhs_id + '&rhs=' + rhs_id + '&sort_col=rhs_status&sort_section=test_compare' }}">{{ rhs_name }}</a>
        </th>
       </tr>
       {% for result in results %}
       <tr>
         <td style="text-align: left">{{ result["name"] }}</td>
         <td>{{ result["hardware"] }}</td>
         <td>{{ result["arch"] }}</td>
         {% if result["lhs_result_id"] != "None" %}
         <td class="{{ result["lhs_status"] }}"><a href="{{'/' + job + '/builds/' + lhs_id + '/results/' + result["lhs_result_id"]}}">{{ result["lhs_status"] }}</a></td>
         {% else %}
         <td>{{ result["lhs_status"] }}</td>
         {% endif %}
         {% if result["rhs_result_id"] != "None" %}
         <td class="{{ result["rhs_status"] }}"><a href="{{'/' + job + '/builds/' + rhs_id + '/results/' + result["rhs_result_id"]}}">{{ result["rhs_status"] }}</a></td>
         {% else %}
         <td>{{ result["rhs_status"] }}</td>
         {% endif %}
       </tr>
       {% endfor %}
    </table>
    {% else %}
    <h3>There are no differences between these builds.</h3>
    {% endif %}
  </div>

  </div>
  {% endblock %}
  </div>
